Package org.eclipse.graphiti.pattern.mapping

# Class MappingProviderProvider

java.lang.Object
org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

Direct Known Subclasses:
  `DataMapping`, `StructureMapping`

public abstract class MappingProviderProvider extends Object
The Class MappingProviderProvider.

## Constructor Summary

Constructors
Constructor
Description
`MappingProviderProvider(IMappingProvider mappingProvider)`
Creates a new `MappingProviderProvider`.

## Method Summary

Modifier and Type
Method
Description
`protected IMappingProvider`
`getMappingProvider()`
Gets the mapping provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingProviderProvider

public MappingProviderProvider(IMappingProvider mappingProvider)
Creates a new `MappingProviderProvider`.

Parameters:
  `mappingProvider` - the mapping provider

## Method Details

### getMappingProvider

protected IMappingProvider getMappingProvider()
Gets the mapping provider.

Returns:
  the mapping provider